VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Namespaces | Typedefs | Enumerations
ivstphysicalui.h File Reference
`#include "pluginterfaces/vst/ivstnoteexpression.h"`
`#include "pluginterfaces/base/falignpush.h"`
`#include "pluginterfaces/base/falignpop.h"`

## Classes
struct | PhysicalUIMap
| PhysicalUIMap describes a mapping of a noteExpression Type to a Physical UI Type. More...
struct | PhysicalUIMapList
| PhysicalUIMapList describes a list of PhysicalUIMap. More...
class | INoteExpressionPhysicalUIMapping
| Extended plug-in interface IEditController for note expression event support: Vst::INoteExpressionPhysicalUIMapping. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
| All VST specific interfaces are located in Vst namespace.

## Typedefs
typedef uint32 | PhysicalUITypeID
| Physical UI Type.

## Enumerations
enum | PhysicalUITypeIDs { kPUIXMovement = 0, kPUIYMovement, kPUIPressure, kPUITypeCount, kInvalidPUITypeID = 0xFFFFFFFF }
    PhysicalUITypeIDs describes the type of Physical UI (PUI) which could be associated to a note
expression. More...

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.